.footer {
	padding: 50px 0;
	background: $gray-100;

	&__main {
		display: grid;
		grid-row-gap: 30px;
		grid-template-columns: 1fr;
	}

	&__contact {
		line-height: 125%;

		&--item {

			&:first-child {
				margin-bottom: 5px;
			}
		}

		&--phone {
			color: $gray-500;
			white-space: nowrap;
			display: inline-block;
			text-decoration: none;
			font-weight: 500;
			line-height: 125%;
			font-size: font-size-rel(24px);
		}

		&--callback {
			color: $blue-100;
			white-space: nowrap;
			display: inline-block;
			text-decoration: none;
			font-weight: 500;
			line-height: 125%;
			font-size: font-size-rel(15px);

			&:hover {
				color: $dark;
				text-decoration: none;
			}
		}
	}

	&__nav {

	}

	&__text {
		color: $gray-200;
		line-height: 155%;
		font-size: font-size-rel(12px);

		p {
			margin-bottom: 15px;

			&:last-child {
				margin-bottom: 0;
			}
		}
	}

	&__bottom {
		padding-top: 30px;
		display: flex;
		flex-wrap: wrap;
		align-items: center;
		justify-content: center;
	}

	&__links {
		margin: 0 0 30px 0;
		padding: 0;
		width: 100%;
		list-style: none;
		font-weight: 500;
		line-height: 125%;
		font-size: font-size-rel(12px);
		display: flex;
		align-items: center;
		justify-content: space-between;

		li {

			a {
				color: $blue;
				white-space: nowrap;
				display: inline-block;
				text-decoration: none;

				&:hover {
					color: $blue;
					text-decoration: underline;
				}
			}
		}
	}

	&__dev {
		color: #2A2A2A;
		font-size: 0;
		line-height: 0;
		text-decoration: none;
		white-space: nowrap;
		display: flex;
		align-items: center;
		justify-content: center;

		&--text {
			padding-top: 1px;
			display: inline-block;
			padding-right: 10px;
			font-size: font-size-rel(12px);
			line-height: font-size-rel(12px);
		}
	}

	@media (min-width: $screen-sm-min) {

		&__main {

		}

		&__nav {
			grid-column: 1/3;
		}

		&__bottom {
			padding-top: 40px;
			justify-content: space-between;
		}

		&__links {
			width: auto;
			margin: 0;
			justify-content: flex-start;

			li {
				margin-right: 20px;
			}
		}
	}

	@media (min-width: $screen-md-min) {

	}

	@media (min-width: $screen-lg-min) {
		position: relative;
		z-index: 10;

		&__main {
			grid-row-gap: 35px;
			grid-column-gap: 150px;
			align-items: start;
			grid-template-columns: 300px auto;
			grid-template-areas: "contact nav"
							     "text nav"
			                     "social nav";
		}

		&__contact {
			grid-area: contact;
			align-self: start;
		}

		&__social {
			grid-area: social;
		}

		&__nav {
			grid-column: 1;
			grid-area: nav;
		}

		&__text {
			height: 100%;
			grid-area: text;
			align-items: start;
			align-self: start;
		}
	}

	@media (min-width: $screen-xl-min) {

	}
}

.footer-nav {
	font-size: font-size-rel(14px);
	line-height: font-size-rel(20px);
	display: grid;
	grid-row-gap: 30px;
	grid-column-gap: 30px;
	grid-template-columns: 1fr;

	&__group {

		&.open {

			.footer-nav__header--icon {
				transform: rotate(180deg);
			}

			.footer-nav__content {
				display: block;
			}
		}
	}

	&__header {
		display: flex;
		align-items: center;
		justify-content: space-between;
		cursor: pointer;
		font-weight: 500;
		font-size: font-size-rel(15px);
		line-height: font-size-rel(20px);

		&--icon {
			height: 20px;
			font-size: 0;
			line-height: 0;
			display: inline-block;
		}

		svg {
			stroke: $blue;
		}
	}

	&__content {
		display: none;
		padding-top: 10px;
	}

	&__menu {
		margin: 0;
		padding: 0;
		list-style: none;

		li {
			margin-top: 10px;

			a {
				color: $gray-500;
				text-decoration: none;

				&:hover {
					color: $blue;
					text-decoration: none;
				}
			}
		}
	}

	&__view {
		padding: 0;
		border: none;
		outline: none;
		margin: 10px 0 0 0;
		white-space: nowrap;
		display: none;
		align-items: center;
		color: $blue;
		font-weight: 500;
		background: transparent;
		font-size: font-size-rel(14px);
		line-height: font-size-rel(20px);

		span {
			padding-right: 2px;
			display: inline-block;
		}

		i {
			height: 20px;
			font-size: 0;
			line-height: 0;
			display: inline-block;
		}

		svg {
			stroke: $blue;
		}
	}

	@media (min-width: $screen-sm-min) {
		grid-template-columns: 1fr 1fr 1fr;

		&__header {
			font-size: font-size-rel(17px);
			line-height: font-size-rel(20px);

			&--icon {
				display: none;
			}
		}

		&__content {
			display: block;
			padding-top: 20px;
		}

		&__menu {

			li {

				&:nth-child(n+8) {
					display: none;
				}
			}

			&.open {

				li {

					&:nth-child(n+8) {
						display: block;
					}
				}
			}
		}

		&__view {
			display: flex;

			&.open {

				i {
					@include rotate(180deg);
				}
			}
		}
	}

	@media (min-width: $screen-md-min) {

	}

	@media (min-width: $screen-lg-min) {
		max-width: 790px;
	}

	@media (min-width: $screen-xl-min) {

	}
}
